JsonCpp project page | Classes | Namespace | JsonCpp home page

Public Member Functions | List of all members
Json::RuntimeError Class Reference

Exceptions which the user cannot easily avoid. More...

`#include <json/value.h>`

Inheritance diagram for Json::RuntimeError:
Collaboration diagram for Json::RuntimeError:

## Public Member Functions
| RuntimeError (String const &msg)
Public Member Functions inherited from Json::Exception
| Exception (String msg)
| ~Exception () noexcept override
char const * | what () const noexcept override

## Additional Inherited Members
Protected Attributes inherited from Json::Exception
String | msg_

## Detailed Description

Exceptions which the user cannot easily avoid.

E.g. out-of-memory (when we use malloc), stack-overflow, malicious input

Remarks
  derived from Json::Exception

Definition at line 97 of file value.h.

## Constructor & Destructor Documentation

## ◆ RuntimeError()

Json::RuntimeError::RuntimeError | ( | String const & | msg | ) |

Definition at line 234 of file json_value.cpp.

References Json::Exception::Exception().

Referenced by Json::__declspec().

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- include/json/value.h
- src/lib_json/json_value.cpp